Bug 171167 - [ATK] Implement support for aria-autocomplete
Summary: [ATK] Implement support for aria-autocomplete
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All Linux
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-04-22 11:20 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2017-04-30 11:12 PDT (History)
12 users (show)

See Also:


Attachments
Patch (12.17 KB, patch)
2017-04-29 09:22 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2017-04-22 11:20:18 PDT
1. Expose STATE_SUPPORTS_AUTOCOMPLETION
2. Object attribute autocomplete:<value>
Comment 1 Radar WebKit Bug Importer 2017-04-22 11:20:46 PDT
<rdar://problem/31774783>
Comment 2 Joanmarie Diggs (irc: joanie) 2017-04-29 09:22:40 PDT
Created attachment 308669 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2017-04-30 03:44:14 PDT
Chris: Please review. Thanks!
Comment 4 WebKit Commit Bot 2017-04-30 11:12:33 PDT
Comment on attachment 308669 [details]
Patch

Clearing flags on attachment: 308669

Committed r215989: <http://trac.webkit.org/changeset/215989>
Comment 5 WebKit Commit Bot 2017-04-30 11:12:35 PDT
All reviewed patches have been landed.  Closing bug.